UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Visitor hdjun
Visitor
16,686 Views
Registered: ‎03-05-2011

How to enable the new parser for XST in ISE 12.1

Jump to solution

When synthesize my code, there was a warning of XST:616, which says that: Invalid property xxxx : Did not attach to <my_module>, or sth like that. The online help says it will no harm of system and can be resolved by enable the new parser in ISE12.1, but i can not find where to enable the property. Would anyone can help me, thanks!

0 Kudos
1 Solution

Accepted Solutions
Xilinx Employee
Xilinx Employee
20,904 Views
Registered: ‎06-11-2009

Re: How to enable the new parser for XST in ISE 12.1

Jump to solution

Use the switch -use_new_parser set to yes in other commandline options in Synthesis properties.

Thsi will enable the new parser for older devices.

0 Kudos
12 Replies
Xilinx Employee
Xilinx Employee
20,905 Views
Registered: ‎06-11-2009

Re: How to enable the new parser for XST in ISE 12.1

Jump to solution

Use the switch -use_new_parser set to yes in other commandline options in Synthesis properties.

Thsi will enable the new parser for older devices.

0 Kudos
Visitor hdjun
Visitor
16,674 Views
Registered: ‎03-05-2011

Re: How to enable the new parser for XST in ISE 12.1

Jump to solution
Thank you very much!
0 Kudos
Xilinx Employee
Xilinx Employee
16,672 Views
Registered: ‎06-11-2009

Re: How to enable the new parser for XST in ISE 12.1

Jump to solution

Thanks. :smileyhappy:

0 Kudos
Visitor hdjun
Visitor
16,611 Views
Registered: ‎03-05-2011

Re: How to enable the new parser for XST in ISE 12.1

Jump to solution

I am sorry, I did what you told me, but I found that was no use and the errors were coming after. You told me add the option switch: "-use_new_parser" in the blank of "the other XST command line options" of XST's synthesis property, but when I run the XST, there comes a error says that:  

=======================

Started : "Synthesize - XST".
Running xst...
Command Line: xst -intstyle ise -ifn "D:/MyDoc/QKD_ADV/ML507_FPGA/my_dds/my_dds_top.xst" -ofn "D:/MyDoc/QKD_ADV/ML507_FPGA/my_dds/my_dds_top.syr"
ERROR:Xst:426 - Illegal command usage : run 

Process "Synthesize - XST" failed

 

but if I clear the new options, there always comes with warning which I told before like that:

==================

WARNING:Xst:616 - Invalid property "SYN_BLACK_BOX 1": Did not attach to u_my_dds.

 

Now, I was confused about this, How should fix it and how to enable the new parser for XST? will you help me?

0 Kudos
Xilinx Employee
Xilinx Employee
16,608 Views
Registered: ‎06-11-2009

Re: How to enable the new parser for XST in ISE 12.1

Jump to solution

    new_parser.JPG

0 Kudos
Xilinx Employee
Xilinx Employee
16,607 Views
Registered: ‎06-11-2009

Re: How to enable the new parser for XST in ISE 12.1

Jump to solution

you have to write

-use_new_parser  yes

0 Kudos
16,583 Views
Registered: ‎02-07-2011

Re: How to enable the new parser for XST in ISE 12.1

Jump to solution

 


@siktapany wrote:

you have to write

-use_new_parser  yes


Ahhh, to quote Split Enz, that was my mistake, too.

 

Historian
Historian
16,562 Views
Registered: ‎02-25-2008

Re: How to enable the new parser for XST in ISE 12.1

Jump to solution

 


@realrichardsharpe wrote:

 


@siktapany wrote:

you have to write

-use_new_parser  yes


Ahhh, to quote Split Enz, that was my mistake, too.

 


Livin' in the 80s?

 

----------------------------Yes, I do this for a living.
0 Kudos
Visitor a832357088
Visitor
14,161 Views
Registered: ‎04-16-2013

Re: How to enable the new parser for XST in ISE 12.1

Jump to solution

I have same error "Xst:cmain.c:3464:1.56".
According your solution, I key in -use_new_parser yes, but it appears another error.


"Xst:2883 - Option "-use_new_parser" is not available for the selected device family."

what should I do???

0 Kudos
Visitor mnfsoft
Visitor
3,857 Views
Registered: ‎04-18-2014

Re: How to enable the new parser for XST in ISE 12.1

Jump to solution

Some one is playing a trick on you :)

0 Kudos
Visitor mnfsoft
Visitor
3,856 Views
Registered: ‎04-18-2014

Re: How to enable the new parser for XST in ISE 12.1

Jump to solution

Exactly like some one is doing to me

0 Kudos
Xilinx Employee
Xilinx Employee
3,851 Views
Registered: ‎05-14-2008

Re: How to enable the new parser for XST in ISE 12.1

Jump to solution

@a832357088 wrote:

I have same error "Xst:cmain.c:3464:1.56".
According your solution, I key in -use_new_parser yes, but it appears another error.


"Xst:2883 - Option "-use_new_parser" is not available for the selected device family."

what should I do???


"-use_new_parser yes" this option only works for V5 and older devices such as S3, V4. For newer devices like S6/V6/7 Series, new parser is already used by default.

 

-Vivian

-------------------------------------------------------------------------------------------------
Don’t forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------------------------------
如果提供的信息能解决您的问题,请标记为“接受为解决方案”。
如果您认为帖子有帮助,请点击“奖励”。谢谢!
-------------------------------------------------------------------------------------------------
0 Kudos